Parameters

listing_id
integer
Required
Description
The listing this membership belongs to (query param).
GET/v1/memberships/:membership_id
curl https://api.tradly.app/v1/memberships/:membership_id \
  -H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
RESPONSE
{
  "status": true,
  "data": {
    "membership": {
      "id": 1,
      "tenant_id": 100,
      "listing_id": 42,
      "user_id": 1001,
      "membership_id": "MEM-001",
      "status": "active",
      "joined_at": "2026-09-25T08:00:00.000Z",
      "start_date": "2026-09-25",
      "end_date": "2027-09-25",
      "total_paid": "150.000000",
      "total_units": "3.000000",
      "metadata": {},
      "contributions": [
        {
          "id": 5,
          "order_id": 2001,
          "amount": "50.000000",
          "units_credited": "1.000000",
          "unit_price": "50.000000",
          "unit_name": "credit",
          "created_at": "2026-09-25T10:00:00.000Z",
          "price_log": {
            "id": 3,
            "price": "50.000000",
            "unit_name": "credit",
            "observed_at": "2026-01-01T00:00:00.000Z"
          }
        }
      ]
    }
  }
}